mate-power-manager (1.22.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_upower_deprecations.patch. Switch from deprecated upower-glib
      get_devices() to get_devices2(). (LP: #1845472)

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Sep 2019 18:48:31 +0200

mate-power-manager (1.22.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/rules:
    + Add Ubuntu specific UI patch so that indicator-power integrates
      neatly.
  * debian/control:
    + Updated for MATE Desktop 1.22
  * debian/patches:
    + Drop 2001_libtool-bin.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 27 Jul 2019 23:33:11 +0200

mate-power-manager (1.20.3-2) unstable; urgency=medium

  * debian/control:
    + Drop from B-D: libxml-parser-perl. This makes mate-power-manager
      cross-buildable. Thanks to Helmut Grohne. (Closes: #923658).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Mar 2019 22:53:04 +0100

mate-power-manager (1.20.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + White-space clean-up at EOF.
    + Replace B-D on libtool-bin by libtool. (Closes: #912842).
  * debian/patches:
    + Drop Ubuntu-specific patch 2000_disable_notification_prefs_ui.patch.
      (Closes: #915926).
    + Add 2001_libtool-bin.patch (as part of the fix for #912842).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Jan 2019 10:39:56 +0100

mate-power-manager (1.20.2-2) unstable; urgency=medium

  * debian/control:
    + Update D (mate-power-manager). Allow elogind as an alternative to systemd
      (or consolekit). (Closes: #915232).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Dec 2018 00:30:06 +0100

mate-power-manager (1.20.2-1) unstable; urgency=medium

  * New upstream release.
    - Inhibit Applet: Fix excessive CPU use. (Closes: #890603).
    - ... (see upstream changelog file).
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Jul 2018 18:49:16 +0200

mate-power-manager (1.20.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_scale_osd_on_hidpi_displays.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Apr 2018 13:45:22 +0200

mate-power-manager (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (already in 1.19.1-0ubuntu1):
    + Update copyright attributions.
  * debian/control (already in 1.20.0-0ubuntu1):
    +  Drop obsolete B-D libwnck-3-dev.
  * debian/patches:
    + Add 0001_scale_osd_on_hidpi_displays.patch. Scale OSD size correctly on
      HiDPI displays.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Feb 2018 19:47:52 +0100

mate-power-manager (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:56 +0000

mate-power-manager (1.19.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 23:46:46 +0000

mate-power-manager (1.18.1-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 2000_disable_notification_prefs_ui.patch. Disable the notification
      preferences so options are not presented that indicator-power now handles.
  * debian/rules:
    + Override mate-power-manager defaults on Ubuntu. Ubuntu MATE enables
      indicators by default which include indicator-power, these overrides
      ensure indicator-power integrates with mate-power-manager.
  * debian/25_mate-power-manager-ubuntu.gschema.override:
    + Add overrides so mate-power-manager integrates with indicator-power.

  [ Mike Gabriel ]
  * debian/watch:
    + Use secure URL to obtain upstream sources.
  * debian/{control,compat}:
    + Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jan 2018 20:26:56 +0100

mate-power-manager (1.18.1-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Temporarily have pkg-mate-team ML under Uploaders:.

  [ Mike Gabriel ]
  * debian/rules:
    + Build with --without-keyring configure option until m-p-m has been ported
      to libsecret or the keyring integration has been removed entirely by
      upstream.
  * debian/control:
    + Drop B-D on deprecated libgnome-keyring-dev. (Closes: #867937).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Jan 2018 12:11:45 +0100

mate-power-manager (1.18.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.1.
    + Drop useless B-D autotools-dev.
  * debian/patches:
    + Drop 0001_do_not_abort_on_unknown_DBus_signal_name.patch. Applied
      upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Nov 2017 09:15:53 +0100

mate-power-manager (1.18.0-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_do_not_abort_on_unknown_DBus_signal_name.patch.
      (LP: #1707300). (Closes: #870121).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 16:13:18 +0200

mate-power-manager (1.18.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/rules: Remove obsolete --with-gtk=3.0
  * debian/copyright: Update copyright attributions.
  * debian/control: Dependencies updated for MATE 1.18.
  * debian/copyright: Update copyright attributions for 1.17.x.
  * debian/rules: Remove obsolete --disable-strict.

  [ Aron Xu ]
  * New upstream release

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new block for override_dh_missing.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions for 1.18.0.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Jul 2017 13:53:30 +0200

mate-power-manager (1.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Apr 2017 21:37:43 +0200

mate-power-manager (1.16.0-2) unstable; urgency=medium

  * debian/control:
    + Replace R: dbus-x11 by R: default-dbus-session-bus | dbus-session-bus.
      (Closes: #836032).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Jan 2017 16:45:54 +0100

mate-power-manager (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (Closes: #837965, #838214).
  * debian/control:
    + Drop B-D: libunique-3.0-dev. (Closes: #827232). Not required by
      this upstream release anymore.
    + Drop B-D: libmate-desktop-dev.
  * debian/copyright:
    + Update copyright attributions.

  [ Vangelis Mouhtsis ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.1-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Oct 2016 20:40:50 +0200

mate-power-manager (1.15.1-0ubuntu1) yakkety; urgency=medium

  * New upstream development release. (Closes: #827232).
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:47 +0100

mate-power-manager (1.14.0-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/{control,rules}:
    + Don't build dbg:packages anymore. See
      https://wiki.debian.org/AutomaticDebugPackages.

  [ Martin Wimpress ]
  * debian/patches:
    + Add 1000_fix_battery_icon.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Jun 2016 21:25:52 +0200

mate-power-manager (1.14.0-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + B-D: libcanberra-gtk3-dev
    + B-D: libgtk-3-dev
    + Versioned B-D: libmate-desktop-dev (>= 1.14)
    + Versioned B-D: libmate-panel-applet-dev (>= 1.14)
    + B-D: libunique-3.0-dev
    + B-D: libwnck-3-dev.
    + Versioned B-D: mate-common (>= 1.14)
  * debian/rules:
    + MateConf dropped upstream.
    + Add --with-gtk=3.0
  * debian/patches:
    + Drop 0001_dont-crash-if-XRRGetScreenResourceCurrent-fails.patch. Applied
      upstream.
  * debian/copyright:
    + Update copyright attributions.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 May 2016 16:34:41 +0200

mate-power-manager (1.12.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
    - Save AC-power backlight set via brightness keys in GSettings. (Closes:
      #785017).
    - LCD brightness changes on login while running on battery power. (Closes:
      #766806).
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12) and libmate-desktop-dev (>= 1.12).

  [ Mike Gabriel ]
  * debian/patches:
    + Add 0001_dont-crash-if-XRRGetScreenResourceCurrent-fails.patch (picked
      from upstream). Don't crash if XRandR 1.3 is not supported.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Jan 2016 07:48:36 +0100

mate-power-manager (1.10.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/mate-power-manager-common.install:
    + Add usr/share/{help,man}.
  * debian/mate-power-manager.install:
    + Remove usr/share/man.
  * debian/rules:
    + Correct typo.
    + Add --enable-deprecated and --disable-strict build options.
    + Remove dfsg suffix.
  * debian/watch:
    + Remove dfsg suffix.
  * debian/copyright:
    + Add copyright attribution for help authors and translators.
    + Remove patches/gpm-manager.patch, no longer upstream.
  * debian/patches:
    + Drop 2001_omit-gfdl-licensed-help-files.patch, the mate-power-manager
      help is DFSG compliant.

  [ Mike Gabriel ]
  * Upload to unstable.
    - This new upstream release fixes keyboard backlight adjustment for
      laptops with non-standard levels. (This hopefully closes: #775500,
      please reopen, if not).
  * lintian:
    + Move overrides in mate-power-manager.lintian-overrides over to
      bin:package mate-power-manager-common (man page have been moved
      over into the latter).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Sep 2015 05:08:49 +0200

mate-power-manager (1.10.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2015 14:20:38 +0200

mate-power-manager (1.10.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + New bin:package: mate-power-manager-common.
    + Processed with wrap-and-sort
  * debian/patches:
    + Drop 0001_fix-backlight-popup-gtkbuilder.patch. Applied upstream.
    + Drop 0002_handle-UP-DEVICE-STATE-UNKNOWN.patch. Applied upstream.
    + Drop 0003_fix-power-statistics-when-unplugging-wireless-device-with-
      battery.patch. Applied upstream.
    + Drop 0004_drop-udisks1-support.patch. Applied upstream.
    + Drop 2002_compile-extra-man-pages.patch. Applied upstream.
  * debian/mate-power-backlight-helper.sgml:
    + Drop. Applied upstream.
  * debian/mate-power-manager-bugreport.sgml:
    + Drop. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Versioned B-D: mate-common (>= 1.10).
  * debian/rules:
    + Create orig tarball in ../ rather than in $(CURDIR).
    + No Debian-provided man pages anymore. Don't attempt copying them into
      the source tree.
  * debian/copyright:
    + Update for this upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jun 2015 15:36:02 +0200

mate-power-manager (1.8.1+dfsg1-6) unstable; urgency=medium

  * debian/patches:
    + Add 0004_drop-udisks1-support.patch. Drop HD spindown timeout support
      via udisks1 because udisks1 is deprecated. (Closes: #750508).
  * debian/control:
    + Drop from R (bin:package mate-power-manager): udisks.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 May 2015 16:51:04 +0200

mate-power-manager (1.8.1+dfsg1-5) unstable; urgency=medium

  * debian/patches:
    + Add 0003_fix-power-statistics-when-unplugging-wireless-device-with-
      battery.patch. Fix crashes of mate-power-statistics when unplugging
      wireless devices that have a battery (e.g. wireless mouse). The crashes
      were due to a not fully implemented adaptation to API changes in upower
      0.99 API. (Closes:  #780844).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Apr 2015 16:02:50 +0200

mate-power-manager (1.8.1+dfsg1-4) unstable; urgency=medium

  * debian/patches:
    + Add 0002_handle-UP-DEVICE-STATE-UNKNOWN.patch. Handle
      UP_DEVICE_STATE_UNKNOWN device states, avoid g_assert_not_reached().
      Fix segfaulting of mate-power-statistics in certain situations.
      (Closes: #779719). See also #774546.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Mar 2015 05:42:14 +0100

mate-power-manager (1.8.1+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_fix-backlight-popup-gtkbuilder.patch. Fix GTKBuilder script for
      media keys popup window. (Closes: #766749).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Jan 2015 06:11:46 +0100

mate-power-manager (1.8.1+dfsg1-2) unstable; urgency=medium

  * debian/rules:
    + Install applets into non-multi-arch libexecdir. (Closes: #769423).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Dec 2014 10:42:43 +0100

mate-power-manager (1.8.1+dfsg1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_upower-1.0_patch*.patch. Applied upstream.
    + Drop 1002_add-keywords-key-to-desktop-files.patch. Applied upstream.
  * debian/copyright:
    + Reflect file name change (tools/mate-power-bugreport.sh ->
      tools/mate-power-manager-bugreport).
    + Drop license information for file m4/ltsugar.m4. Not ship in upstream
      sources anymore.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
    + Stop renaming mate-power-bugreport.sh. Upstream has changed its name to
      mate-power-manager-bugreport (as requested by us... Thanks!).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Oct 2014 09:52:18 +0200

mate-power-manager (1.8.0+dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761776.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 09:57:17 +0000

mate-power-manager (1.8.0+dfsg1-4) unstable; urgency=medium

  * debian/control:
    + Modify D (mate-power-manager): Alternatively depend on systemd or
      consolekit (preferably systemd in Debian jessie and above). (Closes:
      #757314).
    + Upgrade from S to D (mate-power-manager): policykit-1 (without it
      mate-power-manager does not start). Also add mate-polkit to
      Suggests: field. (Closes: #761471).
  * debian/copyright:
    + Add some stray files without license/copyright information.
    + Add license/copyright information for src/msd-osd-window.*.
    + Add short license name for m4/ltsugar.m4.
    + Don't reference build-crufted files (src/gpm-marshal.c,
      src/gpm-marshal.h).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Sep 2014 12:42:39 +0200

mate-power-manager (1.8.0+dfsg1-3) unstable; urgency=low

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing.
    + Remove non-packaged *.convert files after build.

  [ Mike Gabriel ]
  * debian/patches: Pull-in three upstream-commits as patches
    (0001_upower-1.0_patch[1-3].patch). Fix FTBFS against upower
    (>= 0.99). (Closes: #748931).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 May 2014 14:13:03 +0200

mate-power-manager (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/rules:
    + On dh_clean also remove our copied-in man page for
      mate-power-backlight-helper.
  * debian/mate-power-manager-common.install:
    + Drop mate-conf .convert files from package.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 10:15:22 +0200

mate-power-manager (1.8.0+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #734868).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2014 00:13:31 +0200
